package clasesJava;

import java.util.Date;

public class Cert {
	
	private int serialNumber;
	private String nom;
	private String cognom1;
	private String cognom2;
	private Date dataInici;
	private Date dataFi;
	private boolean valid;

	/**
	* Default constructor
	*/
	public Cert() 
	{
	}
	
	/**
	 * @param serial
	 * @param nom
	 * @param cognom1
	 * @param cognom2
	 * @param dataInici
	 * @param dataFi
	 * @param valido
	 */
	public Cert(int serial, String nom, String cognom1, String cognom2, Date dataInici, Date dataFi, boolean valido) 
		{
			this.serialNumber = serial;
			this.nom = nom;
			this.cognom1 = cognom1;
			this.cognom2 = cognom2;
			this.dataInici = dataInici;
			this.dataFi = dataFi;
			this.valid = valido;
		}

		
	/**
	 * @param nom
	 * @param cognom1
	 * @param cognom2
	 * @param dataInici
	 * @param dataFi
	 */
	public Cert(String nom, String cognom1, String cognom2, Date dataInici, Date dataFi) 
		{
			this.nom = nom;
			this.cognom1 = cognom1;
			this.cognom2 = cognom2;
			this.dataInici = dataInici;
			this.dataFi = dataFi;
			this.valid = true;
		}
	
	/**
	 * @param nom
	 * @param cognom1
	 * @param cognom2
	 */
	public Cert(int serial,String nom, String cognom1, String cognom2) 
		{
			this.serialNumber = serial;
			this.nom = nom;
			this.cognom1 = cognom1;
			this.cognom2 = cognom2;
			this.valid = false;
		}


		/**
		 * @return serialNumber
		 */
		public int getSerialNumber() {
			return serialNumber;
		}
		
		/**
		 * @param serialNumber to set
		 */
		public void setSerialNumber(int serialNumber) {
			this.serialNumber = serialNumber;
		}


		/**
		 * @return nom
		 */
		public String getNom() {
			return nom;
		}


		/**
		 * @param nom to set
		 */
		public void setNom(String nom) {
			this.nom = nom;
		}
		
		/**
		 * @return cognom1
		 */
		public String getCognom1() {
			return cognom1;
		}


		/**
		 * @param cognom1 to set
		 */
		public void setCognom1(String cognom1) {
			this.cognom1 = cognom1;
		}
		
		/**
		 * @return cognom2
		 */
		public String getCognom2() {
			return cognom2;
		}


		/**
		 * @param cognom2 to set
		 */
		public void setCognom2(String cognom2) {
			this.cognom2 = cognom2;
		}


		/**
		 * @return dataInici
		 */
		public Date getDataInici() {
			return dataInici;
		}


		/**
		 * @param dataInici to set
		 */
		public void setDataInici(Date dataInici) {
			this.dataInici = dataInici;
		}
		
		
		/**
		 * @return dataFi
		 */
		public Date getDataFi() {
			return dataFi;
		}


		/**
		 * @param dataFi to set
		 */
		public void setDataFi(Date dataFi) {
			this.dataFi = dataFi;
		}


		/**
		 * @param valid
		 */
		public void setValid(boolean valid) {
			this.valid = valid;
		}


		/**
		 * @return valid
		 */
		public boolean getValid() {
			return valid;
		}
		
		/**
		 * @return String
		 */
		public String toString(){
			String nombre = this.serialNumber+" "+this.nom+" "+this.cognom1+" "+this.cognom2;
			return nombre;
		}

}
