package clasesJava;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class Inicialitzar
 */
public class Inicialitzar extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Inicialitzar() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		ResetBD reset = new ResetBD();
		try {
			reset.resetBD();
		} catch (ClassNotFoundException e) {
			System.out.println("ERROR: No trobo la classe");
			e.printStackTrace();
		} catch (SQLException e) {
			System.out.println("Unexpected error: " + e.getMessage());
			e.printStackTrace();
		}
		parellClausCA pCA = new parellClausCA();
		pCA.generaClausCA();
		certificatCA cCA = new certificatCA();
		cCA.generaCertificatCA();
		response.sendRedirect("OpcionsAdm.jsp");
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	}

}
