package clasesJava;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class Password
 */
public class Password extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Password() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		// Carrega les properties
		try {
			Properties prop = new Properties();
			prop = loadParams( "C:/TFC/rutas.properties" );
			String r1=prop.getProperty("pswd3");
			
			String password = request.getParameter("pass");
			if (password.equals(r1)){
				response.sendRedirect("OpcionsAdm.jsp");
			} else {
				response.sendRedirect("Password.jsp");
			}
			
		} catch (IOException e) {
			System.out.println("Problemes de lectura/escriptura");
	}
			
		
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}
	
	/**
	 * Maps a properties file to a Properties object
	 * @param file Properties file name
	 * @return Properties Properties object with the info from the file 
	 * @throws IOException Occurs if the file is not found
	 */
	private static Properties loadParams( String file )
		throws IOException {
		Properties prop = new Properties();
		prop.load(new FileInputStream (file));
		return prop;
	}

}
