package clasesJava;

import java.io.IOException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;


public class ResetBD {
	
	/**
	 * Default constructor.
	 */
	public ResetBD() {
	}
	
	/**
	 * Resets the database
	 * @param cert
	 * @throws SQLException 
	 */
	public void resetBDSQL (Connection con) throws SQLException
		 {
		
		String sql1 = "DELETE FROM certificados";

		PreparedStatement pst = con.prepareStatement(sql1);
		pst.executeUpdate();
		pst.close();
		
		return;
			
	}
	
	/**
	 * Connects, inserts and disconnetcs.
	 * @param args Method parameters
	 * @throws SQLException 
	 * @throws ClassNotFoundException 
	 * @throws IOException 
	 */
	public void resetBD() throws IOException, ClassNotFoundException, SQLException {
		Connection con = null;

		con = AccesoBD.getConnection();
		con.setAutoCommit(false);
		try {
			resetBDSQL(con);
			con.commit();
		}
		catch (SQLException e){
			System.out.println("Unexpected error: " + e.getMessage());
		}
		catch (Exception e) {
			con.rollback();
			System.out.println("ERROR (" + e.getClass() + "): " + e.getMessage());
		}

		AccesoBD.closeConnection(con);
		
		return;
	}


}
