package clasesJava;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class Revocar
 */
public class Revocar extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Revocar() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String nom = request.getParameter("nom");
		String cognom1 = request.getParameter("cognom1");
		String cognom2 = request.getParameter("cognom2");
		RevocaCerti rc = new RevocaCerti();
		try {
			int result = rc.revocarCert(nom, cognom1, cognom2);
			if (result==0){
				System.out.println("ATENCI: No hi ha cap usuari amb aquest nom");
			}
		} catch (SQLException e) {
			System.out.println("ERROR: Problemes amb la BD");
			e.printStackTrace();
		}
		response.sendRedirect("OpcionsAdm.jsp");
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
